%define xrootdir	/usr/X11R6
%define xconfdir	/etc/X11

Summary:		Applet that monitors the network
Name:			wmnet
Version:		1.06
Release:		3mdk
License:		GPL
Group:			Graphical desktop/WindowMaker
URL:			http://www.digitalkaos.net/linux/wmnet/
Source0:		%{name}-%{version}.tar.bz2
Source1:		%{name}.wmconfig.bz2
Source2:		wmnet-icons.tar.bz2
Patch0:			wmnet-sa-restorer.patch.bz2
Patch1:			wmnet-1.05-man-graph.patch.bz2
Patch2:			wmnet-1.05-glibc22.patch.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		XFree86-devel X11

%description 
Wmnet uses ip accounting in the Linux kernel
to monitor your network.

%prep
%setup
%patch0 -p1 -b .sigaction
%patch1 -p1 -b .man-graph
%patch2 -p1 -b .glibc22

%build
xmkmf
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT

# wmnet standard install
install -d %buildroot/%xrootdir/bin
install -d %buildroot/%xrootdir/man/man1
install -m 755 -s wmnet %buildroot/%xrootdir/bin
install -m 644 wmnet.man %buildroot/%xrootdir/man/man1/wmnet.1

# wmaker config file
install -d %buildroot/%xconfdir/wmconfig
bzcat %{SOURCE1} > %buildroot/%xconfdir/wmconfig/%name

# mdk menu icons
mkdir -p %buildroot/%_iconsdir
tar jxvf %{SOURCE2} -C %buildroot/%_iconsdir

# mdk menu entry
install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%{name}): \
    command="%{xrootdir}/bin/wmnet" \
    icon="wmnet.png" \
    needs="x11" \
    section="Applications/Monitoring" \
    title="WMnet" \
    longtitle="A little X doc.app network monitor"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%attr(-,root,root)	%doc README Changelog
%attr(644,root,root)	%config(noreplace) %{xconfdir}/wmconfig/%{name}
%attr(755,root,root)	%{xrootdir}/bin/wmnet
%attr(644,root,root)	%{xrootdir}/man/man1/wmnet.1*
%attr(644,root,root)	%{_menudir}/%{name}
%attr(644,root,root)	%{_iconsdir}/%{name}*
%attr(644,root,root)	%{_liconsdir}/%{name}*
%attr(644,root,root)	%{_miconsdir}/%{name}*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.06-3mdk
- fix buildrequires
- drop ExclusiveOs tag;)

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.06-2mdk
- rebuild

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.06-1mdk
- 1.06

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 1.05-13mdk
- Fix menu entry

* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-12mdk
- Fix invalid-distribution Linux-Mandrake
- Sanitize spec file (s/Copyright/License/)
- Patch1: correct graph documentation for tx/rx description
- Patch2: fix build with glibc-2.2 which defines printf() as a macro when
  gcc-2.97 or later is used

* Wed Mar 28 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-11mdk
- Fixed group entry: use "WindowMaker" instead of "Window Maker"

* Tue Feb 27 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-10mdk
- Cleaned up specfile
- Added documentation files
- Added mdk menu icons
- Fixed URL to WMnet homepage

* Fri Feb  9 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.05-9mdk
- Remove linux-specific code to set sa_restorer
  member of the signal_action structure.
- Remove ExclusiveArch tag, not needed.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.05-8mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-7mdk
- let spechelcompress man pages
- fix tmmpath

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-6mdk
- BM

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.05-5mdk
- New group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.05-4mdk
- Added PPC support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.05-3mdk
- Don't build for alpha.

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed Permissions
- Build Release

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake Compliant.
- Group changed.
